Subject: RE: iSCSI: version 0.6 - Query?

From: "Tanjore K. Suresh" <[email-masked]>
Date: Wed, 13 Jun 2001 16:19:06 -0700 (PDT)

Hi,

> This is a very good question.  If "silently ignore" means that at the
> time of receipt the target should not attempt to qualify the receipt of
> the command at the time it received it, but instead attempt to resolve
> this after the MaxCmdSN has been sent, then I would say it makes sense,
> but your question interests me with regards to recovery.  Since section
> 6.1 requires Targets to reject PDUs in a session with format errors
> (assuming a misaligned CmdSN constitutes a format error) then it would
> seem that this section on page 12 is not in agreement with recovery.

	I didnot  see it explicitly stated in section 6.3 as it is done for 
	DATA sequence number and STATUS sequence number. That is what 
	i am expecting to be corrected in the subsequent revision if everybody
	aggrees. And also remove the page 12 statement about "siliently 
	Ignoring".
	
Thanks
sureshtk

> 
>  -----Original Message-----
> From: 	Tanjore K. Suresh [mailto:[email-masked]] 
> Sent:	Sunday, June 10, 2001 12:26 AM
> To:	[email-masked]
> Subject:	iSCSI version 0.6 - Query?
> 
> Hi,
> 
> Page 12, Last paragraph.
> 
> Regarding the command sequence number.
> 
> " The target MUST silently *ignore* any command outside this range or
> duplicates with in the range that have not been flagged with the retry
> bit 
> (the X bit in the opcode)"
> 
> 
> Why ignore commands which are not in the expected range or duplicates
> with in the range? This type of ignoring could  cause initator to
> cause some unnecessary recovery activity which could/may end up to
> be not good for the target which is hale and healthy. 
> 
> Such a  command could have been errorneously numbered or errorneously 
> checked for this condition or errnoneously delivered with  sequence 
> number change because of problems  transporting it over the internet
> fabric.
> 
> Hence, my opinion is appropriate error need to be returned for such
> command
> instead of ignoring. 
> 
> 
> Comments?
> 
> 
> Thanks
> sureshtk
>  
> 
> I
> 
> 
>